# std::uniform_real_distribution< _RealType > Class Template Reference
[Uniform]

Uniform continuous distribution for random numbers. More...

List of all members.

## Classes

- struct param_type

## Public Types

- typedef _RealType result_type

## Public Member Functions

- uniform_real_distribution (_RealType __a=_RealType(0), _RealType __b=_RealType(1))
- uniform_real_distribution (const param_type &__p)
- result_type a () const
- result_type b () const
- result_type max () const
- result_type min () const
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
- void param (const param_type &__param)
- param_type param () const
- void reset ()

## Detailed Description

### template<typename _RealType = double>
class std::uniform_real_distribution< _RealType >

Uniform continuous distribution for random numbers.

A continuous random distribution on the range [min, max) with equal probability throughout the range. The URNG should be real-valued and deliver number in the range [0, 1).

Definition at line 1800 of file random.h.

## Member Typedef Documentation

template<typename _RealType = double>

typedef _RealType std::uniform_real_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 1807 of file random.h.

## Constructor & Destructor Documentation

template<typename _RealType = double>

std::uniform_real_distribution< _RealType >::uniform_real_distribution | ( | _RealType | __a = `_RealType(0)`,
|  | _RealType | __b = `_RealType(1)` |
| ) |  |  | `[inline, explicit]`

Constructs a uniform_real_distribution object.

Parameters:

  | __min | [IN] The lower bound of the distribution.
  | __max | [IN] The upper bound of the distribution.

Definition at line 1846 of file random.h.

## Member Function Documentation

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::max | ( |  | ) | const`[inline]`

Returns the inclusive upper bound of the distribution range.

Definition at line 1898 of file random.h.

template<typename _RealType = double>

result_type std::uniform_real_distribution< _RealType >::min | ( |  | ) | const`[inline]`

Returns the inclusive lower bound of the distribution range.

Definition at line 1891 of file random.h.

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::uniform_real_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) | `[inline]`

Generating functions.

Definition at line 1906 of file random.h.

References std::uniform_real_distribution< _RealType >::operator()(), and std::uniform_real_distribution< _RealType >::param().

Referenced by std::uniform_real_distribution< _RealType >::operator()().

template<typename _RealType = double>

void std::uniform_real_distribution< _RealType >::param | ( | const param_type & | __param | ) | `[inline]`

Sets the parameter set of the distribution.

Parameters:

  | __param | The new parameter set of the distribution.

Definition at line 1884 of file random.h.

template<typename _RealType = double>

param_type std::uniform_real_distribution< _RealType >::param | ( |  | ) | const`[inline]`

Returns the parameter set of the distribution.

Definition at line 1876 of file random.h.

Referenced by std::uniform_real_distribution< _RealType >::operator()(), std::operator==(), and std::operator>>().

template<typename _RealType = double>

void std::uniform_real_distribution< _RealType >::reset | ( |  | ) | `[inline]`

Resets the distribution state.

Does nothing for the uniform real distribution.

Definition at line 1862 of file random.h.

The documentation for this class was generated from the following file:

- random.h